Bug 64035 - Bug in old sysstat causes wrlongly numbers to be outputted
Bug in old sysstat causes wrlongly numbers to be outputted
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: sysstat (Show other bugs)
7.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Charlie Bennett
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-24 04:11 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-12 10:21:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-24 04:11:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020313

Description of problem:
When you use 'sar', 'iostat' or 'mpstat' on multiprocessor IA64 can the result
show over 1000% usage.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.execute 'sar', 'iostat' or 'mpstat'

	

Actual Results:  [root@azusa bin]# /usr/bin/mpstat
Linux 2.4.7-nec1.2 (azusa)      04/24/2002

10:00:44 AM  CPU   %user   %nice %system   %idle    intr/s
10:00:44 AM  all    0.36    0.00    1.94  1021.70     64.27

As you can see is the idle over 1000% which is a bit much.

Version is:
[root@azusa bin]# /usr/bin/mpstat -V
sysstat version 3.3.5
(C) S. Godard <sebastien.godard@wanadoo.fr>

As shipped with RH 7.1

Expected Results:  When I compiled newer version myself did I get the real results.
On Sebastien Godard's homepage is also mentioned lots of bugfixes for IA64 in
newer version.
http://perso.wanadoo.fr/sebastien.godard/

Saturday September 22nd, 2001
Sysstat 4.0.2 released (stable version).
After a well deserved break, sysstat is back with its 4.0.2 version. This one
includes a few bug fixes, in particular with IA64 machines, and new features
like the database friendly option -H added to sar. Also the configuration
procedure has been improved and sysstat is now translated into Norwegian.
Translators are still wanted anyway (see note from Friday March 9th below)!

[root@azusa bin]# /usr/local/bin/mpstat
Linux 2.4.7-nec1.2 (azusa)      04/24/2002

10:03:10 AM  CPU   %user   %nice %system   %idle    intr/s
10:03:10 AM  all    0.03    0.00    0.19   99.78   4114.89

Vesrion is:
[root@azusa bin]# /usr/local/bin/mpstat -V
sysstat version 4.0.4
(C) S. Godard <sebastien.godard@wanadoo.fr>

Additional info:

This seems to affect RH7.2 as well, I have not tested it but the version of
sysstat seems to old for RH7.2 also.
Comment 1 Trond Eivind Glomsrxd 2002-04-25 16:26:47 EDT
Is this still a problem with the version in RHL 7.2 (4.0.1-2)?
Comment 2 Need Real Name 2002-04-29 10:25:04 EDT
Yes. Bug occurs also in RHL7.2 (sysstat-4.0.1-2).

[root@ds1 /root]# rpm -qf /usr/bin/mpstat 
sysstat-4.0.1-2

[root@ds1 /root]# mpstat -v
sysstat version 4.0.1
(C) S. Godard <sebastien.godard@wanadoo.fr>
Usage: mpstat [ options... ]

[root@ds1 /root]# mpstat
Linux 2.4.7-nec1.2.002 (ds1)    05/01/2002

04:23:53 PM  CPU   %user   %nice %system   %idle    intr/s
04:23:53 PM  all    0.08    0.01    1.00  1022.91     11.05
Comment 3 Trond Eivind Glomsrxd 2002-06-17 17:33:06 EDT
Can you give 4.0.5-1 from http://people.redhat.com/teg/sysstat/ a try?
Comment 4 alambie 2002-10-10 13:23:41 EDT
4.0.5-1 fixes the problem.  4.0.6-1 from
http://perso.wanadoo.fr/sebastien.godard/ has another fix for SMP machines and
mpstat.  This would probably be useful for IA64 machines as most of these are SMP.

Comment 5 Nils Philippsen 2004-01-12 10:21:22 EST
We're currently at 4.0.7

Note You need to log in before you can comment on or make changes to this bug.